#!/bin/bash

# Read arguments from environment variables
companyid="<INSERT COMPANYID>"
siteid="<INSERT SITEID>"

if [[ $EUID -ne 0 ]]; then
   echo "This script must be run as root" 
   exit 1
fi

# install the PKG
installer -verboseR -package ConcealBrowse.pkg -target /

# Perform find and replace using sed
sed -i '' "s/{{COMPANY-ID}}/$companyid/" /Library/Application\ Support/ConcealBrowse/conceal-helper.conf
sed -i '' "s/{{SITE-ID}}/$siteid/" /Library/Application\ Support/ConcealBrowse/conceal-helper.conf

exit 0
